"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useObservable = (observable$, initialValue) => {
    const [value, update] = react_1.useState(initialValue);
    react_1.useEffect(() => {
        const s = observable$.subscribe(update);
        return () => s.unsubscribe();
    }, [observable$]);
    return value;
};
exports.default = useObservable;
