"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useRaf = (ms = 1e12, delay = 0) => {
    const [elapsed, set] = react_1.useState(0);
    react_1.useLayoutEffect(() => {
        let raf, timerStop, start;
        const onFrame = () => {
            const time = Math.min(1, (Date.now() - start) / ms);
            set(time);
            loop();
        };
        const loop = () => {
            raf = requestAnimationFrame(onFrame);
        };
        const onStart = () => {
            timerStop = setTimeout(() => {
                cancelAnimationFrame(raf);
                set(1);
            }, ms);
            start = Date.now();
            loop();
        };
        const timerDelay = setTimeout(onStart, delay);
        return () => {
            clearTimeout(timerStop);
            clearTimeout(timerDelay);
            cancelAnimationFrame(raf);
        };
    }, [ms, delay]);
    return elapsed;
};
exports.default = useRaf;
