"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const isClient = typeof window === 'object';
const useWindowSize = (initialWidth = Infinity, initialHeight = Infinity) => {
    const [state, setState] = react_1.useState({
        width: isClient ? window.innerWidth : initialWidth,
        height: isClient ? window.innerHeight : initialHeight,
    });
    react_1.useEffect(() => {
        const handler = () => {
            setState({
                width: window.innerWidth,
                height: window.innerHeight
            });
        };
        window.addEventListener('resize', handler);
        return () => window.removeEventListener('resize', handler);
    }, [1]);
    return state;
};
exports.default = useWindowSize;
